Unterschiedliche Versionen von Client und Server

Alles, was MariaDB und MySQL betrifft, kann hier besprochen werden.

Unterschiedliche Versionen von Client und Server

Postby Bushranger » 15. September 2007 15:01

Hallo,

wie kommt es eigentlich, dass man bei MySQL unterschiedliche Versionen von Client und Server auf seinem PC haben kann?
bei geistiger Dämmerung werfen auch Zwerge lange Schatten
Bushranger
 
Posts: 102
Joined: 15. April 2005 17:35
Location: Niedersachsen

Postby Wiedmann » 15. September 2007 21:36

Indem man verschiedene Versionen jeweils installiert...
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby Bushranger » 16. September 2007 12:00

klingt logisch, aber wie denn?
ich habe mir MySQL 5.1.27 Beta runtergeladen und da ist dann im Programmpaket eine andere Clientversion?
sonst hätte ich da keine andere erklärung, ich habe ja server und client gleichzeitig installiert, denke ich mal.
bei geistiger Dämmerung werfen auch Zwerge lange Schatten
Bushranger
 
Posts: 102
Joined: 15. April 2005 17:35
Location: Niedersachsen

Postby Wiedmann » 16. September 2007 12:06

und da ist dann im Programmpaket eine andere Clientversion?

Im MySQL Packet sind viele Clients dabei und nicht nur einer. Die aber in der Regel die selbe Version haben sollten wie der Server.

Bleibt also die Frage:
Von welchem Client redest du denn gerade?
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby Bushranger » 17. September 2007 19:45

wenn ich den PHPMyadmin aufrufe, bekomme ich folgende Meldung

Your PHP MySQL library version 5.0.37 differs from your MySQL server version 5.0.41. This may cause unpredictable behavior.

daher meine Frage wie das zustandekommt.
bei geistiger Dämmerung werfen auch Zwerge lange Schatten
Bushranger
 
Posts: 102
Joined: 15. April 2005 17:35
Location: Niedersachsen

Postby Wiedmann » 17. September 2007 20:36

Der MySQL-Client (MySQL-Extension) von PHP ist ja auch nicht beim MySQL-Server dabei, sondern eben bei PHP.

Allerdings greift diese Extension auf die DLL "libmysql.dll" zu. Beim Server sollte da eine aktualisierte Version dabei sein, mit der du die vorhandenen DLL's überschrieben kannst.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby sari42 » 18. September 2007 13:45

Kleine Unterschiede kann man getrost ignorieren, nach meinen Erfahrungen (Verwaltung mehrerer remote mysqlds) ist die libmysql mindestens abwärtskompatibel. Natürlich kann man mit einer alten Version nicht auf neuere Features zugreifen.

just my 2(€)cent

P.S.
bei pma 2.11.1 wird nicht mehr gewarnt werden, sondern es erscheint nur noch eine "Mitteilung" und auch nur, wenn sich die Hauptversionen x.y. (z.B.: 5.0. != 5.1) unterscheiden.
sari42
 
Posts: 800
Joined: 27. November 2005 18:28


Return to MariaDB - MySQL

Who is online

Users browsing this forum: No registered users and 2 guests